Get the Receipt Confirmation PDF for an inwards consignment

Path Parameters
  • consignmentId
    Type: stringFormat: uuid
    required
Query Parameters
  • Orientation
    Type: integer · enum

    The orientation of the PDF. Defaults to Portrait.

    values
    • Portrait = 1
    • Landscape = 2
  • IncludeShipping
    Type: boolean

    Whether to include shipping information in the PDF, if any. Defaults to true.

  • IncludeMetrics
    Type: boolean

    Whether to include metrics in the PDF. Defaults to true.

  • IncludeNotes
    Type: boolean

    Whether to include notes in the PDF, if any. Defaults to true.

  • IncludeProductSummary
    Type: boolean

    Whether to include product summary information in the PDF. Defaults to false.

  • PrintOption.PrinterId
    Type: stringFormat: uuid

    The printer bridge warehouse printer id to be used for printing.

Responses
  • 200

    OK

Request Example for get/v1/consignments/{consignmentId}/receipt-confirmation-pdf
curl 'https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/receipt-confirmation-pdf?Orientation=enum%20(Portrait%20%3D%201%2C%20Landscape%20%3D%202)&IncludeShipping=true&IncludeMetrics=true&IncludeNotes=true&IncludeProductSummary=true&PrintOption.PrinterId='
No Body